const express = require('express');
const router = express.Router();
const roleController = require('../controllers/roleController');
const { auth, authorize } = require('../middleware/auth');
const checkSubscription = require('../middleware/checkSubscription');

router.get('/', auth, authorize('admin'), checkSubscription, roleController.getAllRoles);

module.exports = router;